summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Mills <prologic@shortcircuit.net.au>2020-05-27 18:04:18 +1000
committerGitHub <noreply@github.com>2020-05-27 18:04:18 +1000
commitfc46d58ed4b19330b3651d1f54260c69290d7363 (patch)
tree1b776eb18a7eb7bd0713b94b86fccb7aa010ab9d
parent00f73c99e9244526b4d12b0fe85ecf855d34b261 (diff)
Fix missing ebpf packaging files from dist archive (#9182)
* Install/Bundle the eBPF kernel-collector library / eBPF programs anyway even if the Kernel check fails (just warn the user) * Fix missing check-kernel-config.sh from dist (breaking kickstart.sh installs) * Add missing packaging/ebpf.version and packaging/ebpf.cehcksums to dist source archive
-rw-r--r--Makefile.am3
-rwxr-xr-xnetdata-installer.sh6
-rwxr-xr-xpackaging/check-kernel-config.sh (renamed from packaging/installer/check-kernel-config.sh)0
3 files changed, 5 insertions, 4 deletions
diff --git a/Makefile.am b/Makefile.am
index cfbc97dac4..717c1758bf 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -72,6 +72,9 @@ dist_noinst_DATA = \
packaging/mosquitto.checksums \
packaging/bundle-dashboard.sh \
packaging/bundle-mosquitto.sh \
+ packaging/check-kernel-config.sh \
+ packaging/ebpf.checksums \
+ packaging/ebpf.version \
packaging/bundle-lws.sh \
packaging/installer/README.md \
packaging/installer/UNINSTALL.md \
diff --git a/netdata-installer.sh b/netdata-installer.sh
index eb293ae620..780af5a41c 100755
--- a/netdata-installer.sh
+++ b/netdata-installer.sh
@@ -1321,10 +1321,8 @@ should_install_ebpf() {
fi
# Check Kernel Config
- if ! run "${INSTALLER_DIR}"/packaging/installer/check-kernel-config.sh; then
- run_failed "Kernel unsupported or missing required config"
- defer_error "Kernel unsupported or missing required config, not installing eBPF collector"
- return 1
+ if ! run "${INSTALLER_DIR}"/packaging/check-kernel-config.sh; then
+ echo >&2 "Warning: Kernel unsupported or missing required config (eBPF may not work on your system)"
fi
return 0
diff --git a/packaging/installer/check-kernel-config.sh b/packaging/check-kernel-config.sh
index ded3225779..ded3225779 100755
--- a/packaging/installer/check-kernel-config.sh
+++ b/packaging/check-kernel-config.sh